---
###
### One can define things like OQA_JOBSTOCLONE here, as shown below, but it's
### probably better to instead use either the webUI, or do it via git:
###   git push -o ci.variable="OQA_JOBSTOCLONE=nonGUI@amd64"
###
variables:
  OQA_JOBSTOCLONE:
    description: 'a space separated list of jobs to clone, either by job number or name e.g. "Debian%20(amd64)/kde@amd64"'
    value: 'nonGUI@amd64'
  SALSA_CI_IMAGES: 'registry.salsa.debian.org/salsa-ci-team/pipeline'
  RELEASE: testing
  SALSA_CI_IMAGES_BASE: ${SALSA_CI_IMAGES}/base:${RELEASE}

workflow:
  rules:
    # when in a merge pipeline, the following branch condition breaks, so do nothing instead
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      when: never
    # set the branch name here \v/ to match your feature branch, for easier testing
    - if: $CI_COMMIT_BRANCH == 'no_autorepeat'
      variables:
        OQA_JOBSTOCLONE: 'gnome-desktop_browser@aarch64'
        TEST_SPECIFIC_ARGS: '_SKIP_POST_FAIL_HOOKS=1 NO_UEFI_POST=1'
    - when: always

stages:
  - test

selftest:
  stage: test
  image: ${SALSA_CI_IMAGES_BASE}
  dependencies: []
  before_script:
    - apt-get update && apt-get upgrade -y
    - apt-get install -y make libtest2-suite-perl libtest-strict-perl openqa-worker
  script:
    - make test

# this is a slightly edited version of the one from the installer repo
.openqa-link-definition:
  stage: test
  variables:
    OQA_CI_PIPELINE_URL: '$CI_SERVER_URL/$CI_PROJECT_PATH/-/pipelines/$CI_PIPELINE_ID'
    OQA_CASEDIR: '${CI_PROJECT_URL}.git/#$CI_COMMIT_REF_NAME'
    CLONE_NAME_SUFFIX: '$CI_PROJECT_PATH:$CI_COMMIT_REF_SLUG'
    CLONE_EXTRA_ARGS: 'NAME=casedir-test_$CI_PROJECT_NAMESPACE-$CI_COMMIT_REF_SLUG $TEST_SPECIFIC_ARGS'
  trigger:
    project: $GITLAB_USER_LOGIN/openqa-link

openqa-link:
  extends: .openqa-link-definition
  rules:
    - if: $OQA_JOBSTOCLONE
    - when: manual
      variables:
        OPENQALINK_MANUALLY_TRIGGERED: 1
